%define module	Text-Aspell
%define name	perl-%{module}
%define version 0.04
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to the GNU Aspell library
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://cpan.uwinnipeg.ca/cpan/authors/id/D/DR/DREE/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRequires:	aspell-devel 
BuildRoot:	%{_tmppath}/%{name}-root

%description
This module provides a Perl interface to the GNU Aspell library. The GNU Aspell
library provides access to system spelling libraries, including a spell
checker. This module is to meet the need of looking up many words, one at a
time, in a single session.

This is a Perl xs interface which should provide good performance compared to
forking the aspell program for every word.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.04-2mdk
- Rebuild for new perl

* Wed Jun 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.04-1mdk 
- first mdk release
